monostyle(1)

NAME
monostyle - Mono's C# code beautifier.

SYNOPSIS

monostyle -f file.cs -l <true|false> > output.cs

DESCRIPTION
monostyle will parse a C# source code file and correct brace formatting reflective of the Mono Project's coding standard. To use: invoke monostyle by passing a C# source code file with '-f file.cs' and specify whether to use linespacing with '-l <true|false>. To output to a file just redirect with '>'.

Mono's Coding Standard

* The opening brace following a namespace, class, struct, enum, property or flow control unit should be at the end of the declaration line.

* The opening brace for a function should be on the line following the function.

* Please use white space around operators and a space between function names and their parameters.

OPTIONS

--file
    The csharp source file to parse.

--line
    Specifies wether to use line spacing.

AUTHORS
Adam Treat (manyoso@yahoo.com)

LICENSE
MonoStyle is released under the terms of the GNU GPL.

SEE ALSO
mono(1), mint(1)